FROM python:3.12 as builder
RUN pip install mkdocs
WORKDIR /app
COPY . /app
ENV SITE_DIR=/app/site
RUN mkdocs build -d $SITE_DIR


FROM git.fjla.uk/fred.boniface/web-deploy:0.0.2 as compressor
COPY --from=builder /app/site/ /deploy/in/
RUN node /app/process.js

FROM georgjung/nginx-brotli:mainline-alpine
RUN rm -rf /usr/share/nginx/html/* && rm -f /etc/nginx/nginx.conf
COPY ./nginx.conf /etc/nginx/nginx.conf
COPY --from=compressor /deploy/out/ /usr/share/nginx/html/
EXPOSE 80
